#pragma once

#include <inttypes.h>

uint8_t consts1[256][16] = {
        {0x0,  0x0,  0x0,  0x0,  0x0,  0x0,  0x0,  0x0,  0x0,  0x0,  0x0,  0x0,  0x0,  0x0,  0x0,  0x0},
        {0x94, 0x20, 0x85, 0x10, 0xc2, 0xc0, 0x1,  0xfb, 0x1,  0xc0, 0xc2, 0x10, 0x85, 0x20, 0x94, 0x1},
        {0xeb, 0x40, 0xc9, 0x20, 0x47, 0x43, 0x2,  0x35, 0x2,  0x43, 0x47, 0x20, 0xc9, 0x40, 0xeb, 0x2},
        {0x7f, 0x60, 0x4c, 0x30, 0x85, 0x83, 0x3,  0xce, 0x3,  0x83, 0x85, 0x30, 0x4c, 0x60, 0x7f, 0x3},
        {0x15, 0x80, 0x51, 0x40, 0x8e, 0x86, 0x4,  0x6a, 0x4,  0x86, 0x8e, 0x40, 0x51, 0x80, 0x15, 0x4},
        {0x81, 0xa0, 0xd4, 0x50, 0x4c, 0x46, 0x5,  0x91, 0x5,  0x46, 0x4c, 0x50, 0xd4, 0xa0, 0x81, 0x5},
        {0xfe, 0xc0, 0x98, 0x60, 0xc9, 0xc5, 0x6,  0x5f, 0x6,  0xc5, 0xc9, 0x60, 0x98, 0xc0, 0xfe, 0x6},
        {0x6a, 0xe0, 0x1d, 0x70, 0xb,  0x5,  0x7,  0xa4, 0x7,  0x5,  0xb,  0x70, 0x1d, 0xe0, 0x6a, 0x7},
        {0x2a, 0xc3, 0xa2, 0x80, 0xdf, 0xcf, 0x8,  0xd4, 0x8,  0xcf, 0xdf, 0x80, 0xa2, 0xc3, 0x2a, 0x8},
        {0xbe, 0xe3, 0x27, 0x90, 0x1d, 0xf,  0x9,  0x2f, 0x9,  0xf,  0x1d, 0x90, 0x27, 0xe3, 0xbe, 0x9},
        {0xc1, 0x83, 0x6b, 0xa0, 0x98, 0x8c, 0xa,  0xe1, 0xa,  0x8c, 0x98, 0xa0, 0x6b, 0x83, 0xc1, 0xa},
        {0x55, 0xa3, 0xee, 0xb0, 0x5a, 0x4c, 0xb,  0x1a, 0xb,  0x4c, 0x5a, 0xb0, 0xee, 0xa3, 0x55, 0xb},
        {0x3f, 0x43, 0xf3, 0xc0, 0x51, 0x49, 0xc,  0xbe, 0xc,  0x49, 0x51, 0xc0, 0xf3, 0x43, 0x3f, 0xc},
        {0xab, 0x63, 0x76, 0xd0, 0x93, 0x89, 0xd,  0x45, 0xd,  0x89, 0x93, 0xd0, 0x76, 0x63, 0xab, 0xd},
        {0xd4, 0x3,  0x3a, 0xe0, 0x16, 0xa,  0xe,  0x8b, 0xe,  0xa,  0x16, 0xe0, 0x3a, 0x3,  0xd4, 0xe},
        {0x40, 0x23, 0xbf, 0xf0, 0xd4, 0xca, 0xf,  0x70, 0xf,  0xca, 0xd4, 0xf0, 0xbf, 0x23, 0x40, 0xf},
        {0x54, 0x45, 0x87, 0xc3, 0x7d, 0x5d, 0x10, 0x6b, 0x10, 0x5d, 0x7d, 0xc3, 0x87, 0x45, 0x54, 0x10},
        {0xc0, 0x65, 0x2,  0xd3, 0xbf, 0x9d, 0x11, 0x90, 0x11, 0x9d, 0xbf, 0xd3, 0x2,  0x65, 0xc0, 0x11},
        {0xbf, 0x5,  0x4e, 0xe3, 0x3a, 0x1e, 0x12, 0x5e, 0x12, 0x1e, 0x3a, 0xe3, 0x4e, 0x5,  0xbf, 0x12},
        {0x2b, 0x25, 0xcb, 0xf3, 0xf8, 0xde, 0x13, 0xa5, 0x13, 0xde, 0xf8, 0xf3, 0xcb, 0x25, 0x2b, 0x13},
        {0x41, 0xc5, 0xd6, 0x83, 0xf3, 0xdb, 0x14, 0x1,  0x14, 0xdb, 0xf3, 0x83, 0xd6, 0xc5, 0x41, 0x14},
        {0xd5, 0xe5, 0x53, 0x93, 0x31, 0x1b, 0x15, 0xfa, 0x15, 0x1b, 0x31, 0x93, 0x53, 0xe5, 0xd5, 0x15},
        {0xaa, 0x85, 0x1f, 0xa3, 0xb4, 0x98, 0x16, 0x34, 0x16, 0x98, 0xb4, 0xa3, 0x1f, 0x85, 0xaa, 0x16},
        {0x3e, 0xa5, 0x9a, 0xb3, 0x76, 0x58, 0x17, 0xcf, 0x17, 0x58, 0x76, 0xb3, 0x9a, 0xa5, 0x3e, 0x17},
        {0x7e, 0x86, 0x25, 0x43, 0xa2, 0x92, 0x18, 0xbf, 0x18, 0x92, 0xa2, 0x43, 0x25, 0x86, 0x7e, 0x18},
        {0xea, 0xa6, 0xa0, 0x53, 0x60, 0x52, 0x19, 0x44, 0x19, 0x52, 0x60, 0x53, 0xa0, 0xa6, 0xea, 0x19},
        {0x95, 0xc6, 0xec, 0x63, 0xe5, 0xd1, 0x1a, 0x8a, 0x1a, 0xd1, 0xe5, 0x63, 0xec, 0xc6, 0x95, 0x1a},
        {0x1,  0xe6, 0x69, 0x73, 0x27, 0x11, 0x1b, 0x71, 0x1b, 0x11, 0x27, 0x73, 0x69, 0xe6, 0x1,  0x1b},
        {0x6b, 0x6,  0x74, 0x3,  0x2c, 0x14, 0x1c, 0xd5, 0x1c, 0x14, 0x2c, 0x3,  0x74, 0x6,  0x6b, 0x1c},
        {0xff, 0x26, 0xf1, 0x13, 0xee, 0xd4, 0x1d, 0x2e, 0x1d, 0xd4, 0xee, 0x13, 0xf1, 0x26, 0xff, 0x1d},
        {0x80, 0x46, 0xbd, 0x23, 0x6b, 0x57, 0x1e, 0xe0, 0x1e, 0x57, 0x6b, 0x23, 0xbd, 0x46, 0x80, 0x1e},
        {0x14, 0x66, 0x38, 0x33, 0xa9, 0x97, 0x1f, 0x1b, 0x1f, 0x97, 0xa9, 0x33, 0x38, 0x66, 0x14, 0x1f},
        {0xa8, 0x8a, 0xcd, 0x45, 0xfa, 0xba, 0x20, 0xd6, 0x20, 0xba, 0xfa, 0x45, 0xcd, 0x8a, 0xa8, 0x20},
        {0x3c, 0xaa, 0x48, 0x55, 0x38, 0x7a, 0x21, 0x2d, 0x21, 0x7a, 0x38, 0x55, 0x48, 0xaa, 0x3c, 0x21},
        {0x43, 0xca, 0x4,  0x65, 0xbd, 0xf9, 0x22, 0xe3, 0x22, 0xf9, 0xbd, 0x65, 0x4,  0xca, 0x43, 0x22},
        {0xd7, 0xea, 0x81, 0x75, 0x7f, 0x39, 0x23, 0x18, 0x23, 0x39, 0x7f, 0x75, 0x81, 0xea, 0xd7, 0x23},
        {0xbd, 0xa,  0x9c, 0x5,  0x74, 0x3c, 0x24, 0xbc, 0x24, 0x3c, 0x74, 0x5,  0x9c, 0xa,  0xbd, 0x24},
        {0x29, 0x2a, 0x19, 0x15, 0xb6, 0xfc, 0x25, 0x47, 0x25, 0xfc, 0xb6, 0x15, 0x19, 0x2a, 0x29, 0x25},
        {0x56, 0x4a, 0x55, 0x25, 0x33, 0x7f, 0x26, 0x89, 0x26, 0x7f, 0x33, 0x25, 0x55, 0x4a, 0x56, 0x26},
        {0xc2, 0x6a, 0xd0, 0x35, 0xf1, 0xbf, 0x27, 0x72, 0x27, 0xbf, 0xf1, 0x35, 0xd0, 0x6a, 0xc2, 0x27},
        {0x82, 0x49, 0x6f, 0xc5, 0x25, 0x75, 0x28, 0x2,  0x28, 0x75, 0x25, 0xc5, 0x6f, 0x49, 0x82, 0x28},
        {0x16, 0x69, 0xea, 0xd5, 0xe7, 0xb5, 0x29, 0xf9, 0x29, 0xb5, 0xe7, 0xd5, 0xea, 0x69, 0x16, 0x29},
        {0x69, 0x9,  0xa6, 0xe5, 0x62, 0x36, 0x2a, 0x37, 0x2a, 0x36, 0x62, 0xe5, 0xa6, 0x9,  0x69, 0x2a},
        {0xfd, 0x29, 0x23, 0xf5, 0xa0, 0xf6, 0x2b, 0xcc, 0x2b, 0xf6, 0xa0, 0xf5, 0x23, 0x29, 0xfd, 0x2b},
        {0x97, 0xc9, 0x3e, 0x85, 0xab, 0xf3, 0x2c, 0x68, 0x2c, 0xf3, 0xab, 0x85, 0x3e, 0xc9, 0x97, 0x2c},
        {0x3,  0xe9, 0xbb, 0x95, 0x69, 0x33, 0x2d, 0x93, 0x2d, 0x33, 0x69, 0x95, 0xbb, 0xe9, 0x3,  0x2d},
        {0x7c, 0x89, 0xf7, 0xa5, 0xec, 0xb0, 0x2e, 0x5d, 0x2e, 0xb0, 0xec, 0xa5, 0xf7, 0x89, 0x7c, 0x2e},
        {0xe8, 0xa9, 0x72, 0xb5, 0x2e, 0x70, 0x2f, 0xa6, 0x2f, 0x70, 0x2e, 0xb5, 0x72, 0xa9, 0xe8, 0x2f},
        {0xfc, 0xcf, 0x4a, 0x86, 0x87, 0xe7, 0x30, 0xbd, 0x30, 0xe7, 0x87, 0x86, 0x4a, 0xcf, 0xfc, 0x30},
        {0x68, 0xef, 0xcf, 0x96, 0x45, 0x27, 0x31, 0x46, 0x31, 0x27, 0x45, 0x96, 0xcf, 0xef, 0x68, 0x31},
        {0x17, 0x8f, 0x83, 0xa6, 0xc0, 0xa4, 0x32, 0x88, 0x32, 0xa4, 0xc0, 0xa6, 0x83, 0x8f, 0x17, 0x32},
        {0x83, 0xaf, 0x6,  0xb6, 0x2,  0x64, 0x33, 0x73, 0x33, 0x64, 0x2,  0xb6, 0x6,  0xaf, 0x83, 0x33},
        {0xe9, 0x4f, 0x1b, 0xc6, 0x9,  0x61, 0x34, 0xd7, 0x34, 0x61, 0x9,  0xc6, 0x1b, 0x4f, 0xe9, 0x34},
        {0x7d, 0x6f, 0x9e, 0xd6, 0xcb, 0xa1, 0x35, 0x2c, 0x35, 0xa1, 0xcb, 0xd6, 0x9e, 0x6f, 0x7d, 0x35},
        {0x2,  0xf,  0xd2, 0xe6, 0x4e, 0x22, 0x36, 0xe2, 0x36, 0x22, 0x4e, 0xe6, 0xd2, 0xf,  0x2,  0x36},
        {0x96, 0x2f, 0x57, 0xf6, 0x8c, 0xe2, 0x37, 0x19, 0x37, 0xe2, 0x8c, 0xf6, 0x57, 0x2f, 0x96, 0x37},
        {0xd6, 0xc,  0xe8, 0x6,  0x58, 0x28, 0x38, 0x69, 0x38, 0x28, 0x58, 0x6,  0xe8, 0xc,  0xd6, 0x38},
        {0x42, 0x2c, 0x6d, 0x16, 0x9a, 0xe8, 0x39, 0x92, 0x39, 0xe8, 0x9a, 0x16, 0x6d, 0x2c, 0x42, 0x39},
        {0x3d, 0x4c, 0x21, 0x26, 0x1f, 0x6b, 0x3a, 0x5c, 0x3a, 0x6b, 0x1f, 0x26, 0x21, 0x4c, 0x3d, 0x3a},
        {0xa9, 0x6c, 0xa4, 0x36, 0xdd, 0xab, 0x3b, 0xa7, 0x3b, 0xab, 0xdd, 0x36, 0xa4, 0x6c, 0xa9, 0x3b},
        {0xc3, 0x8c, 0xb9, 0x46, 0xd6, 0xae, 0x3c, 0x3,  0x3c, 0xae, 0xd6, 0x46, 0xb9, 0x8c, 0xc3, 0x3c},
        {0x57, 0xac, 0x3c, 0x56, 0x14, 0x6e, 0x3d, 0xf8, 0x3d, 0x6e, 0x14, 0x56, 0x3c, 0xac, 0x57, 0x3d},
        {0x28, 0xcc, 0x70, 0x66, 0x91, 0xed, 0x3e, 0x36, 0x3e, 0xed, 0x91, 0x66, 0x70, 0xcc, 0x28, 0x3e},
        {0xbc, 0xec, 0xf5, 0x76, 0x53, 0x2d, 0x3f, 0xcd, 0x3f, 0x2d, 0x53, 0x76, 0xf5, 0xec, 0xbc, 0x3f},
        {0x93, 0xd7, 0x59, 0x8a, 0x37, 0xb7, 0x40, 0x6f, 0x40, 0xb7, 0x37, 0x8a, 0x59, 0xd7, 0x93, 0x40},
        {0x7,  0xf7, 0xdc, 0x9a, 0xf5, 0x77, 0x41, 0x94, 0x41, 0x77, 0xf5, 0x9a, 0xdc, 0xf7, 0x7,  0x41},
        {0x78, 0x97, 0x90, 0xaa, 0x70, 0xf4, 0x42, 0x5a, 0x42, 0xf4, 0x70, 0xaa, 0x90, 0x97, 0x78, 0x42},
        {0xec, 0xb7, 0x15, 0xba, 0xb2, 0x34, 0x43, 0xa1, 0x43, 0x34, 0xb2, 0xba, 0x15, 0xb7, 0xec, 0x43},
        {0x86, 0x57, 0x8,  0xca, 0xb9, 0x31, 0x44, 0x5,  0x44, 0x31, 0xb9, 0xca, 0x8,  0x57, 0x86, 0x44},
        {0x12, 0x77, 0x8d, 0xda, 0x7b, 0xf1, 0x45, 0xfe, 0x45, 0xf1, 0x7b, 0xda, 0x8d, 0x77, 0x12, 0x45},
        {0x6d, 0x17, 0xc1, 0xea, 0xfe, 0x72, 0x46, 0x30, 0x46, 0x72, 0xfe, 0xea, 0xc1, 0x17, 0x6d, 0x46},
        {0xf9, 0x37, 0x44, 0xfa, 0x3c, 0xb2, 0x47, 0xcb, 0x47, 0xb2, 0x3c, 0xfa, 0x44, 0x37, 0xf9, 0x47},
        {0xb9, 0x14, 0xfb, 0xa,  0xe8, 0x78, 0x48, 0xbb, 0x48, 0x78, 0xe8, 0xa,  0xfb, 0x14, 0xb9, 0x48},
        {0x2d, 0x34, 0x7e, 0x1a, 0x2a, 0xb8, 0x49, 0x40, 0x49, 0xb8, 0x2a, 0x1a, 0x7e, 0x34, 0x2d, 0x49},
        {0x52, 0x54, 0x32, 0x2a, 0xaf, 0x3b, 0x4a, 0x8e, 0x4a, 0x3b, 0xaf, 0x2a, 0x32, 0x54, 0x52, 0x4a},
        {0xc6, 0x74, 0xb7, 0x3a, 0x6d, 0xfb, 0x4b, 0x75, 0x4b, 0xfb, 0x6d, 0x3a, 0xb7, 0x74, 0xc6, 0x4b},
        {0xac, 0x94, 0xaa, 0x4a, 0x66, 0xfe, 0x4c, 0xd1, 0x4c, 0xfe, 0x66, 0x4a, 0xaa, 0x94, 0xac, 0x4c},
        {0x38, 0xb4, 0x2f, 0x5a, 0xa4, 0x3e, 0x4d, 0x2a, 0x4d, 0x3e, 0xa4, 0x5a, 0x2f, 0xb4, 0x38, 0x4d},
        {0x47, 0xd4, 0x63, 0x6a, 0x21, 0xbd, 0x4e, 0xe4, 0x4e, 0xbd, 0x21, 0x6a, 0x63, 0xd4, 0x47, 0x4e},
        {0xd3, 0xf4, 0xe6, 0x7a, 0xe3, 0x7d, 0x4f, 0x1f, 0x4f, 0x7d, 0xe3, 0x7a, 0xe6, 0xf4, 0xd3, 0x4f},
        {0xc7, 0x92, 0xde, 0x49, 0x4a, 0xea, 0x50, 0x4,  0x50, 0xea, 0x4a, 0x49, 0xde, 0x92, 0xc7, 0x50},
        {0x53, 0xb2, 0x5b, 0x59, 0x88, 0x2a, 0x51, 0xff, 0x51, 0x2a, 0x88, 0x59, 0x5b, 0xb2, 0x53, 0x51},
        {0x2c, 0xd2, 0x17, 0x69, 0xd,  0xa9, 0x52, 0x31, 0x52, 0xa9, 0xd,  0x69, 0x17, 0xd2, 0x2c, 0x52},
        {0xb8, 0xf2, 0x92, 0x79, 0xcf, 0x69, 0x53, 0xca, 0x53, 0x69, 0xcf, 0x79, 0x92, 0xf2, 0xb8, 0x53},
        {0xd2, 0x12, 0x8f, 0x9,  0xc4, 0x6c, 0x54, 0x6e, 0x54, 0x6c, 0xc4, 0x9,  0x8f, 0x12, 0xd2, 0x54},
        {0x46, 0x32, 0xa,  0x19, 0x6,  0xac, 0x55, 0x95, 0x55, 0xac, 0x6,  0x19, 0xa,  0x32, 0x46, 0x55},
        {0x39, 0x52, 0x46, 0x29, 0x83, 0x2f, 0x56, 0x5b, 0x56, 0x2f, 0x83, 0x29, 0x46, 0x52, 0x39, 0x56},
        {0xad, 0x72, 0xc3, 0x39, 0x41, 0xef, 0x57, 0xa0, 0x57, 0xef, 0x41, 0x39, 0xc3, 0x72, 0xad, 0x57},
        {0xed, 0x51, 0x7c, 0xc9, 0x95, 0x25, 0x58, 0xd0, 0x58, 0x25, 0x95, 0xc9, 0x7c, 0x51, 0xed, 0x58},
        {0x79, 0x71, 0xf9, 0xd9, 0x57, 0xe5, 0x59, 0x2b, 0x59, 0xe5, 0x57, 0xd9, 0xf9, 0x71, 0x79, 0x59},
        {0x6,  0x11, 0xb5, 0xe9, 0xd2, 0x66, 0x5a, 0xe5, 0x5a, 0x66, 0xd2, 0xe9, 0xb5, 0x11, 0x6,  0x5a},
        {0x92, 0x31, 0x30, 0xf9, 0x10, 0xa6, 0x5b, 0x1e, 0x5b, 0xa6, 0x10, 0xf9, 0x30, 0x31, 0x92, 0x5b},
        {0xf8, 0xd1, 0x2d, 0x89, 0x1b, 0xa3, 0x5c, 0xba, 0x5c, 0xa3, 0x1b, 0x89, 0x2d, 0xd1, 0xf8, 0x5c},
        {0x6c, 0xf1, 0xa8, 0x99, 0xd9, 0x63, 0x5d, 0x41, 0x5d, 0x63, 0xd9, 0x99, 0xa8, 0xf1, 0x6c, 0x5d},
        {0x13, 0x91, 0xe4, 0xa9, 0x5c, 0xe0, 0x5e, 0x8f, 0x5e, 0xe0, 0x5c, 0xa9, 0xe4, 0x91, 0x13, 0x5e},
        {0x87, 0xb1, 0x61, 0xb9, 0x9e, 0x20, 0x5f, 0x74, 0x5f, 0x20, 0x9e, 0xb9, 0x61, 0xb1, 0x87, 0x5f},
        {0x3b, 0x5d, 0x94, 0xcf, 0xcd, 0xd,  0x60, 0xb9, 0x60, 0xd,  0xcd, 0xcf, 0x94, 0x5d, 0x3b, 0x60},
        {0xaf, 0x7d, 0x11, 0xdf, 0xf,  0xcd, 0x61, 0x42, 0x61, 0xcd, 0xf,  0xdf, 0x11, 0x7d, 0xaf, 0x61},
        {0xd0, 0x1d, 0x5d, 0xef, 0x8a, 0x4e, 0x62, 0x8c, 0x62, 0x4e, 0x8a, 0xef, 0x5d, 0x1d, 0xd0, 0x62},
        {0x44, 0x3d, 0xd8, 0xff, 0x48, 0x8e, 0x63, 0x77, 0x63, 0x8e, 0x48, 0xff, 0xd8, 0x3d, 0x44, 0x63},
        {0x2e, 0xdd, 0xc5, 0x8f, 0x43, 0x8b, 0x64, 0xd3, 0x64, 0x8b, 0x43, 0x8f, 0xc5, 0xdd, 0x2e, 0x64},
        {0xba, 0xfd, 0x40, 0x9f, 0x81, 0x4b, 0x65, 0x28, 0x65, 0x4b, 0x81, 0x9f, 0x40, 0xfd, 0xba, 0x65},
        {0xc5, 0x9d, 0xc,  0xaf, 0x4,  0xc8, 0x66, 0xe6, 0x66, 0xc8, 0x4,  0xaf, 0xc,  0x9d, 0xc5, 0x66},
        {0x51, 0xbd, 0x89, 0xbf, 0xc6, 0x8,  0x67, 0x1d, 0x67, 0x8,  0xc6, 0xbf, 0x89, 0xbd, 0x51, 0x67},
        {0x11, 0x9e, 0x36, 0x4f, 0x12, 0xc2, 0x68, 0x6d, 0x68, 0xc2, 0x12, 0x4f, 0x36, 0x9e, 0x11, 0x68},
        {0x85, 0xbe, 0xb3, 0x5f, 0xd0, 0x2,  0x69, 0x96, 0x69, 0x2,  0xd0, 0x5f, 0xb3, 0xbe, 0x85, 0x69},
        {0xfa, 0xde, 0xff, 0x6f, 0x55, 0x81, 0x6a, 0x58, 0x6a, 0x81, 0x55, 0x6f, 0xff, 0xde, 0xfa, 0x6a},
        {0x6e, 0xfe, 0x7a, 0x7f, 0x97, 0x41, 0x6b, 0xa3, 0x6b, 0x41, 0x97, 0x7f, 0x7a, 0xfe, 0x6e, 0x6b},
        {0x4,  0x1e, 0x67, 0xf,  0x9c, 0x44, 0x6c, 0x7,  0x6c, 0x44, 0x9c, 0xf,  0x67, 0x1e, 0x4,  0x6c},
        {0x90, 0x3e, 0xe2, 0x1f, 0x5e, 0x84, 0x6d, 0xfc, 0x6d, 0x84, 0x5e, 0x1f, 0xe2, 0x3e, 0x90, 0x6d},
        {0xef, 0x5e, 0xae, 0x2f, 0xdb, 0x7,  0x6e, 0x32, 0x6e, 0x7,  0xdb, 0x2f, 0xae, 0x5e, 0xef, 0x6e},
        {0x7b, 0x7e, 0x2b, 0x3f, 0x19, 0xc7, 0x6f, 0xc9, 0x6f, 0xc7, 0x19, 0x3f, 0x2b, 0x7e, 0x7b, 0x6f},
        {0x6f, 0x18, 0x13, 0xc,  0xb0, 0x50, 0x70, 0xd2, 0x70, 0x50, 0xb0, 0xc,  0x13, 0x18, 0x6f, 0x70},
        {0xfb, 0x38, 0x96, 0x1c, 0x72, 0x90, 0x71, 0x29, 0x71, 0x90, 0x72, 0x1c, 0x96, 0x38, 0xfb, 0x71},
        {0x84, 0x58, 0xda, 0x2c, 0xf7, 0x13, 0x72, 0xe7, 0x72, 0x13, 0xf7, 0x2c, 0xda, 0x58, 0x84, 0x72},
        {0x10, 0x78, 0x5f, 0x3c, 0x35, 0xd3, 0x73, 0x1c, 0x73, 0xd3, 0x35, 0x3c, 0x5f, 0x78, 0x10, 0x73},
        {0x7a, 0x98, 0x42, 0x4c, 0x3e, 0xd6, 0x74, 0xb8, 0x74, 0xd6, 0x3e, 0x4c, 0x42, 0x98, 0x7a, 0x74},
        {0xee, 0xb8, 0xc7, 0x5c, 0xfc, 0x16, 0x75, 0x43, 0x75, 0x16, 0xfc, 0x5c, 0xc7, 0xb8, 0xee, 0x75},
        {0x91, 0xd8, 0x8b, 0x6c, 0x79, 0x95, 0x76, 0x8d, 0x76, 0x95, 0x79, 0x6c, 0x8b, 0xd8, 0x91, 0x76},
        {0x5,  0xf8, 0xe,  0x7c, 0xbb, 0x55, 0x77, 0x76, 0x77, 0x55, 0xbb, 0x7c, 0xe,  0xf8, 0x5,  0x77},
        {0x45, 0xdb, 0xb1, 0x8c, 0x6f, 0x9f, 0x78, 0x6,  0x78, 0x9f, 0x6f, 0x8c, 0xb1, 0xdb, 0x45, 0x78},
        {0xd1, 0xfb, 0x34, 0x9c, 0xad, 0x5f, 0x79, 0xfd, 0x79, 0x5f, 0xad, 0x9c, 0x34, 0xfb, 0xd1, 0x79},
        {0xae, 0x9b, 0x78, 0xac, 0x28, 0xdc, 0x7a, 0x33, 0x7a, 0xdc, 0x28, 0xac, 0x78, 0x9b, 0xae, 0x7a},
        {0x3a, 0xbb, 0xfd, 0xbc, 0xea, 0x1c, 0x7b, 0xc8, 0x7b, 0x1c, 0xea, 0xbc, 0xfd, 0xbb, 0x3a, 0x7b},
        {0x50, 0x5b, 0xe0, 0xcc, 0xe1, 0x19, 0x7c, 0x6c, 0x7c, 0x19, 0xe1, 0xcc, 0xe0, 0x5b, 0x50, 0x7c},
        {0xc4, 0x7b, 0x65, 0xdc, 0x23, 0xd9, 0x7d, 0x97, 0x7d, 0xd9, 0x23, 0xdc, 0x65, 0x7b, 0xc4, 0x7d},
        {0xbb, 0x1b, 0x29, 0xec, 0xa6, 0x5a, 0x7e, 0x59, 0x7e, 0x5a, 0xa6, 0xec, 0x29, 0x1b, 0xbb, 0x7e},
        {0x2f, 0x3b, 0xac, 0xfc, 0x64, 0x9a, 0x7f, 0xa2, 0x7f, 0x9a, 0x64, 0xfc, 0xac, 0x3b, 0x2f, 0x7f},
        {0xe5, 0x6d, 0xb2, 0xd7, 0x6e, 0xad, 0x80, 0xde, 0x80, 0xad, 0x6e, 0xd7, 0xb2, 0x6d, 0xe5, 0x80},
        {0x71, 0x4d, 0x37, 0xc7, 0xac, 0x6d, 0x81, 0x25, 0x81, 0x6d, 0xac, 0xc7, 0x37, 0x4d, 0x71, 0x81},
        {0xe,  0x2d, 0x7b, 0xf7, 0x29, 0xee, 0x82, 0xeb, 0x82, 0xee, 0x29, 0xf7, 0x7b, 0x2d, 0xe,  0x82},
        {0x9a, 0xd,  0xfe, 0xe7, 0xeb, 0x2e, 0x83, 0x10, 0x83, 0x2e, 0xeb, 0xe7, 0xfe, 0xd,  0x9a, 0x83},
        {0xf0, 0xed, 0xe3, 0x97, 0xe0, 0x2b, 0x84, 0xb4, 0x84, 0x2b, 0xe0, 0x97, 0xe3, 0xed, 0xf0, 0x84},
        {0x64, 0xcd, 0x66, 0x87, 0x22, 0xeb, 0x85, 0x4f, 0x85, 0xeb, 0x22, 0x87, 0x66, 0xcd, 0x64, 0x85},
        {0x1b, 0xad, 0x2a, 0xb7, 0xa7, 0x68, 0x86, 0x81, 0x86, 0x68, 0xa7, 0xb7, 0x2a, 0xad, 0x1b, 0x86},
        {0x8f, 0x8d, 0xaf, 0xa7, 0x65, 0xa8, 0x87, 0x7a, 0x87, 0xa8, 0x65, 0xa7, 0xaf, 0x8d, 0x8f, 0x87},
        {0xcf, 0xae, 0x10, 0x57, 0xb1, 0x62, 0x88, 0xa,  0x88, 0x62, 0xb1, 0x57, 0x10, 0xae, 0xcf, 0x88},
        {0x5b, 0x8e, 0x95, 0x47, 0x73, 0xa2, 0x89, 0xf1, 0x89, 0xa2, 0x73, 0x47, 0x95, 0x8e, 0x5b, 0x89},
        {0x24, 0xee, 0xd9, 0x77, 0xf6, 0x21, 0x8a, 0x3f, 0x8a, 0x21, 0xf6, 0x77, 0xd9, 0xee, 0x24, 0x8a},
        {0xb0, 0xce, 0x5c, 0x67, 0x34, 0xe1, 0x8b, 0xc4, 0x8b, 0xe1, 0x34, 0x67, 0x5c, 0xce, 0xb0, 0x8b},
        {0xda, 0x2e, 0x41, 0x17, 0x3f, 0xe4, 0x8c, 0x60, 0x8c, 0xe4, 0x3f, 0x17, 0x41, 0x2e, 0xda, 0x8c},
        {0x4e, 0xe,  0xc4, 0x7,  0xfd, 0x24, 0x8d, 0x9b, 0x8d, 0x24, 0xfd, 0x7,  0xc4, 0xe,  0x4e, 0x8d},
        {0x31, 0x6e, 0x88, 0x37, 0x78, 0xa7, 0x8e, 0x55, 0x8e, 0xa7, 0x78, 0x37, 0x88, 0x6e, 0x31, 0x8e},
        {0xa5, 0x4e, 0xd,  0x27, 0xba, 0x67, 0x8f, 0xae, 0x8f, 0x67, 0xba, 0x27, 0xd,  0x4e, 0xa5, 0x8f},
        {0xb1, 0x28, 0x35, 0x14, 0x13, 0xf0, 0x90, 0xb5, 0x90, 0xf0, 0x13, 0x14, 0x35, 0x28, 0xb1, 0x90},
        {0x25, 0x8,  0xb0, 0x4,  0xd1, 0x30, 0x91, 0x4e, 0x91, 0x30, 0xd1, 0x4,  0xb0, 0x8,  0x25, 0x91},
        {0x5a, 0x68, 0xfc, 0x34, 0x54, 0xb3, 0x92, 0x80, 0x92, 0xb3, 0x54, 0x34, 0xfc, 0x68, 0x5a, 0x92},
        {0xce, 0x48, 0x79, 0x24, 0x96, 0x73, 0x93, 0x7b, 0x93, 0x73, 0x96, 0x24, 0x79, 0x48, 0xce, 0x93},
        {0xa4, 0xa8, 0x64, 0x54, 0x9d, 0x76, 0x94, 0xdf, 0x94, 0x76, 0x9d, 0x54, 0x64, 0xa8, 0xa4, 0x94},
        {0x30, 0x88, 0xe1, 0x44, 0x5f, 0xb6, 0x95, 0x24, 0x95, 0xb6, 0x5f, 0x44, 0xe1, 0x88, 0x30, 0x95},
        {0x4f, 0xe8, 0xad, 0x74, 0xda, 0x35, 0x96, 0xea, 0x96, 0x35, 0xda, 0x74, 0xad, 0xe8, 0x4f, 0x96},
        {0xdb, 0xc8, 0x28, 0x64, 0x18, 0xf5, 0x97, 0x11, 0x97, 0xf5, 0x18, 0x64, 0x28, 0xc8, 0xdb, 0x97},
        {0x9b, 0xeb, 0x97, 0x94, 0xcc, 0x3f, 0x98, 0x61, 0x98, 0x3f, 0xcc, 0x94, 0x97, 0xeb, 0x9b, 0x98},
        {0xf,  0xcb, 0x12, 0x84, 0xe,  0xff, 0x99, 0x9a, 0x99, 0xff, 0xe,  0x84, 0x12, 0xcb, 0xf,  0x99},
        {0x70, 0xab, 0x5e, 0xb4, 0x8b, 0x7c, 0x9a, 0x54, 0x9a, 0x7c, 0x8b, 0xb4, 0x5e, 0xab, 0x70, 0x9a},
        {0xe4, 0x8b, 0xdb, 0xa4, 0x49, 0xbc, 0x9b, 0xaf, 0x9b, 0xbc, 0x49, 0xa4, 0xdb, 0x8b, 0xe4, 0x9b},
        {0x8e, 0x6b, 0xc6, 0xd4, 0x42, 0xb9, 0x9c, 0xb,  0x9c, 0xb9, 0x42, 0xd4, 0xc6, 0x6b, 0x8e, 0x9c},
        {0x1a, 0x4b, 0x43, 0xc4, 0x80, 0x79, 0x9d, 0xf0, 0x9d, 0x79, 0x80, 0xc4, 0x43, 0x4b, 0x1a, 0x9d},
        {0x65, 0x2b, 0xf,  0xf4, 0x5,  0xfa, 0x9e, 0x3e, 0x9e, 0xfa, 0x5,  0xf4, 0xf,  0x2b, 0x65, 0x9e},
        {0xf1, 0xb,  0x8a, 0xe4, 0xc7, 0x3a, 0x9f, 0xc5, 0x9f, 0x3a, 0xc7, 0xe4, 0x8a, 0xb,  0xf1, 0x9f},
        {0x4d, 0xe7, 0x7f, 0x92, 0x94, 0x17, 0xa0, 0x8,  0xa0, 0x17, 0x94, 0x92, 0x7f, 0xe7, 0x4d, 0xa0},
        {0xd9, 0xc7, 0xfa, 0x82, 0x56, 0xd7, 0xa1, 0xf3, 0xa1, 0xd7, 0x56, 0x82, 0xfa, 0xc7, 0xd9, 0xa1},
        {0xa6, 0xa7, 0xb6, 0xb2, 0xd3, 0x54, 0xa2, 0x3d, 0xa2, 0x54, 0xd3, 0xb2, 0xb6, 0xa7, 0xa6, 0xa2},
        {0x32, 0x87, 0x33, 0xa2, 0x11, 0x94, 0xa3, 0xc6, 0xa3, 0x94, 0x11, 0xa2, 0x33, 0x87, 0x32, 0xa3},
        {0x58, 0x67, 0x2e, 0xd2, 0x1a, 0x91, 0xa4, 0x62, 0xa4, 0x91, 0x1a, 0xd2, 0x2e, 0x67, 0x58, 0xa4},
        {0xcc, 0x47, 0xab, 0xc2, 0xd8, 0x51, 0xa5, 0x99, 0xa5, 0x51, 0xd8, 0xc2, 0xab, 0x47, 0xcc, 0xa5},
        {0xb3, 0x27, 0xe7, 0xf2, 0x5d, 0xd2, 0xa6, 0x57, 0xa6, 0xd2, 0x5d, 0xf2, 0xe7, 0x27, 0xb3, 0xa6},
        {0x27, 0x7,  0x62, 0xe2, 0x9f, 0x12, 0xa7, 0xac, 0xa7, 0x12, 0x9f, 0xe2, 0x62, 0x7,  0x27, 0xa7},
        {0x67, 0x24, 0xdd, 0x12, 0x4b, 0xd8, 0xa8, 0xdc, 0xa8, 0xd8, 0x4b, 0x12, 0xdd, 0x24, 0x67, 0xa8},
        {0xf3, 0x4,  0x58, 0x2,  0x89, 0x18, 0xa9, 0x27, 0xa9, 0x18, 0x89, 0x2,  0x58, 0x4,  0xf3, 0xa9},
        {0x8c, 0x64, 0x14, 0x32, 0xc,  0x9b, 0xaa, 0xe9, 0xaa, 0x9b, 0xc,  0x32, 0x14, 0x64, 0x8c, 0xaa},
        {0x18, 0x44, 0x91, 0x22, 0xce, 0x5b, 0xab, 0x12, 0xab, 0x5b, 0xce, 0x22, 0x91, 0x44, 0x18, 0xab},
        {0x72, 0xa4, 0x8c, 0x52, 0xc5, 0x5e, 0xac, 0xb6, 0xac, 0x5e, 0xc5, 0x52, 0x8c, 0xa4, 0x72, 0xac},
        {0xe6, 0x84, 0x9,  0x42, 0x7,  0x9e, 0xad, 0x4d, 0xad, 0x9e, 0x7,  0x42, 0x9,  0x84, 0xe6, 0xad},
        {0x99, 0xe4, 0x45, 0x72, 0x82, 0x1d, 0xae, 0x83, 0xae, 0x1d, 0x82, 0x72, 0x45, 0xe4, 0x99, 0xae},
        {0xd,  0xc4, 0xc0, 0x62, 0x40, 0xdd, 0xaf, 0x78, 0xaf, 0xdd, 0x40, 0x62, 0xc0, 0xc4, 0xd,  0xaf},
        {0x19, 0xa2, 0xf8, 0x51, 0xe9, 0x4a, 0xb0, 0x63, 0xb0, 0x4a, 0xe9, 0x51, 0xf8, 0xa2, 0x19, 0xb0},
        {0x8d, 0x82, 0x7d, 0x41, 0x2b, 0x8a, 0xb1, 0x98, 0xb1, 0x8a, 0x2b, 0x41, 0x7d, 0x82, 0x8d, 0xb1},
        {0xf2, 0xe2, 0x31, 0x71, 0xae, 0x9,  0xb2, 0x56, 0xb2, 0x9,  0xae, 0x71, 0x31, 0xe2, 0xf2, 0xb2},
        {0x66, 0xc2, 0xb4, 0x61, 0x6c, 0xc9, 0xb3, 0xad, 0xb3, 0xc9, 0x6c, 0x61, 0xb4, 0xc2, 0x66, 0xb3},
        {0xc,  0x22, 0xa9, 0x11, 0x67, 0xcc, 0xb4, 0x9,  0xb4, 0xcc, 0x67, 0x11, 0xa9, 0x22, 0xc,  0xb4},
        {0x98, 0x2,  0x2c, 0x1,  0xa5, 0xc,  0xb5, 0xf2, 0xb5, 0xc,  0xa5, 0x1,  0x2c, 0x2,  0x98, 0xb5},
        {0xe7, 0x62, 0x60, 0x31, 0x20, 0x8f, 0xb6, 0x3c, 0xb6, 0x8f, 0x20, 0x31, 0x60, 0x62, 0xe7, 0xb6},
        {0x73, 0x42, 0xe5, 0x21, 0xe2, 0x4f, 0xb7, 0xc7, 0xb7, 0x4f, 0xe2, 0x21, 0xe5, 0x42, 0x73, 0xb7},
        {0x33, 0x61, 0x5a, 0xd1, 0x36, 0x85, 0xb8, 0xb7, 0xb8, 0x85, 0x36, 0xd1, 0x5a, 0x61, 0x33, 0xb8},
        {0xa7, 0x41, 0xdf, 0xc1, 0xf4, 0x45, 0xb9, 0x4c, 0xb9, 0x45, 0xf4, 0xc1, 0xdf, 0x41, 0xa7, 0xb9},
        {0xd8, 0x21, 0x93, 0xf1, 0x71, 0xc6, 0xba, 0x82, 0xba, 0xc6, 0x71, 0xf1, 0x93, 0x21, 0xd8, 0xba},
        {0x4c, 0x1,  0x16, 0xe1, 0xb3, 0x6,  0xbb, 0x79, 0xbb, 0x6,  0xb3, 0xe1, 0x16, 0x1,  0x4c, 0xbb},
        {0x26, 0xe1, 0xb,  0x91, 0xb8, 0x3,  0xbc, 0xdd, 0xbc, 0x3,  0xb8, 0x91, 0xb,  0xe1, 0x26, 0xbc},
        {0xb2, 0xc1, 0x8e, 0x81, 0x7a, 0xc3, 0xbd, 0x26, 0xbd, 0xc3, 0x7a, 0x81, 0x8e, 0xc1, 0xb2, 0xbd},
        {0xcd, 0xa1, 0xc2, 0xb1, 0xff, 0x40, 0xbe, 0xe8, 0xbe, 0x40, 0xff, 0xb1, 0xc2, 0xa1, 0xcd, 0xbe},
        {0x59, 0x81, 0x47, 0xa1, 0x3d, 0x80, 0xbf, 0x13, 0xbf, 0x80, 0x3d, 0xa1, 0x47, 0x81, 0x59, 0xbf},
        {0x76, 0xba, 0xeb, 0x5d, 0x59, 0x1a, 0xc0, 0xb1, 0xc0, 0x1a, 0x59, 0x5d, 0xeb, 0xba, 0x76, 0xc0},
        {0xe2, 0x9a, 0x6e, 0x4d, 0x9b, 0xda, 0xc1, 0x4a, 0xc1, 0xda, 0x9b, 0x4d, 0x6e, 0x9a, 0xe2, 0xc1},
        {0x9d, 0xfa, 0x22, 0x7d, 0x1e, 0x59, 0xc2, 0x84, 0xc2, 0x59, 0x1e, 0x7d, 0x22, 0xfa, 0x9d, 0xc2},
        {0x9,  0xda, 0xa7, 0x6d, 0xdc, 0x99, 0xc3, 0x7f, 0xc3, 0x99, 0xdc, 0x6d, 0xa7, 0xda, 0x9,  0xc3},
        {0x63, 0x3a, 0xba, 0x1d, 0xd7, 0x9c, 0xc4, 0xdb, 0xc4, 0x9c, 0xd7, 0x1d, 0xba, 0x3a, 0x63, 0xc4},
        {0xf7, 0x1a, 0x3f, 0xd,  0x15, 0x5c, 0xc5, 0x20, 0xc5, 0x5c, 0x15, 0xd,  0x3f, 0x1a, 0xf7, 0xc5},
        {0x88, 0x7a, 0x73, 0x3d, 0x90, 0xdf, 0xc6, 0xee, 0xc6, 0xdf, 0x90, 0x3d, 0x73, 0x7a, 0x88, 0xc6},
        {0x1c, 0x5a, 0xf6, 0x2d, 0x52, 0x1f, 0xc7, 0x15, 0xc7, 0x1f, 0x52, 0x2d, 0xf6, 0x5a, 0x1c, 0xc7},
        {0x5c, 0x79, 0x49, 0xdd, 0x86, 0xd5, 0xc8, 0x65, 0xc8, 0xd5, 0x86, 0xdd, 0x49, 0x79, 0x5c, 0xc8},
        {0xc8, 0x59, 0xcc, 0xcd, 0x44, 0x15, 0xc9, 0x9e, 0xc9, 0x15, 0x44, 0xcd, 0xcc, 0x59, 0xc8, 0xc9},
        {0xb7, 0x39, 0x80, 0xfd, 0xc1, 0x96, 0xca, 0x50, 0xca, 0x96, 0xc1, 0xfd, 0x80, 0x39, 0xb7, 0xca},
        {0x23, 0x19, 0x5,  0xed, 0x3,  0x56, 0xcb, 0xab, 0xcb, 0x56, 0x3,  0xed, 0x5,  0x19, 0x23, 0xcb},
        {0x49, 0xf9, 0x18, 0x9d, 0x8,  0x53, 0xcc, 0xf,  0xcc, 0x53, 0x8,  0x9d, 0x18, 0xf9, 0x49, 0xcc},
        {0xdd, 0xd9, 0x9d, 0x8d, 0xca, 0x93, 0xcd, 0xf4, 0xcd, 0x93, 0xca, 0x8d, 0x9d, 0xd9, 0xdd, 0xcd},
        {0xa2, 0xb9, 0xd1, 0xbd, 0x4f, 0x10, 0xce, 0x3a, 0xce, 0x10, 0x4f, 0xbd, 0xd1, 0xb9, 0xa2, 0xce},
        {0x36, 0x99, 0x54, 0xad, 0x8d, 0xd0, 0xcf, 0xc1, 0xcf, 0xd0, 0x8d, 0xad, 0x54, 0x99, 0x36, 0xcf},
        {0x22, 0xff, 0x6c, 0x9e, 0x24, 0x47, 0xd0, 0xda, 0xd0, 0x47, 0x24, 0x9e, 0x6c, 0xff, 0x22, 0xd0},
        {0xb6, 0xdf, 0xe9, 0x8e, 0xe6, 0x87, 0xd1, 0x21, 0xd1, 0x87, 0xe6, 0x8e, 0xe9, 0xdf, 0xb6, 0xd1},
        {0xc9, 0xbf, 0xa5, 0xbe, 0x63, 0x4,  0xd2, 0xef, 0xd2, 0x4,  0x63, 0xbe, 0xa5, 0xbf, 0xc9, 0xd2},
        {0x5d, 0x9f, 0x20, 0xae, 0xa1, 0xc4, 0xd3, 0x14, 0xd3, 0xc4, 0xa1, 0xae, 0x20, 0x9f, 0x5d, 0xd3},
        {0x37, 0x7f, 0x3d, 0xde, 0xaa, 0xc1, 0xd4, 0xb0, 0xd4, 0xc1, 0xaa, 0xde, 0x3d, 0x7f, 0x37, 0xd4},
        {0xa3, 0x5f, 0xb8, 0xce, 0x68, 0x1,  0xd5, 0x4b, 0xd5, 0x1,  0x68, 0xce, 0xb8, 0x5f, 0xa3, 0xd5},
        {0xdc, 0x3f, 0xf4, 0xfe, 0xed, 0x82, 0xd6, 0x85, 0xd6, 0x82, 0xed, 0xfe, 0xf4, 0x3f, 0xdc, 0xd6},
        {0x48, 0x1f, 0x71, 0xee, 0x2f, 0x42, 0xd7, 0x7e, 0xd7, 0x42, 0x2f, 0xee, 0x71, 0x1f, 0x48, 0xd7},
        {0x8,  0x3c, 0xce, 0x1e, 0xfb, 0x88, 0xd8, 0xe,  0xd8, 0x88, 0xfb, 0x1e, 0xce, 0x3c, 0x8,  0xd8},
        {0x9c, 0x1c, 0x4b, 0xe,  0x39, 0x48, 0xd9, 0xf5, 0xd9, 0x48, 0x39, 0xe,  0x4b, 0x1c, 0x9c, 0xd9},
        {0xe3, 0x7c, 0x7,  0x3e, 0xbc, 0xcb, 0xda, 0x3b, 0xda, 0xcb, 0xbc, 0x3e, 0x7,  0x7c, 0xe3, 0xda},
        {0x77, 0x5c, 0x82, 0x2e, 0x7e, 0xb,  0xdb, 0xc0, 0xdb, 0xb,  0x7e, 0x2e, 0x82, 0x5c, 0x77, 0xdb},
        {0x1d, 0xbc, 0x9f, 0x5e, 0x75, 0xe,  0xdc, 0x64, 0xdc, 0xe,  0x75, 0x5e, 0x9f, 0xbc, 0x1d, 0xdc},
        {0x89, 0x9c, 0x1a, 0x4e, 0xb7, 0xce, 0xdd, 0x9f, 0xdd, 0xce, 0xb7, 0x4e, 0x1a, 0x9c, 0x89, 0xdd},
        {0xf6, 0xfc, 0x56, 0x7e, 0x32, 0x4d, 0xde, 0x51, 0xde, 0x4d, 0x32, 0x7e, 0x56, 0xfc, 0xf6, 0xde},
        {0x62, 0xdc, 0xd3, 0x6e, 0xf0, 0x8d, 0xdf, 0xaa, 0xdf, 0x8d, 0xf0, 0x6e, 0xd3, 0xdc, 0x62, 0xdf},
        {0xde, 0x30, 0x26, 0x18, 0xa3, 0xa0, 0xe0, 0x67, 0xe0, 0xa0, 0xa3, 0x18, 0x26, 0x30, 0xde, 0xe0},
        {0x4a, 0x10, 0xa3, 0x8,  0x61, 0x60, 0xe1, 0x9c, 0xe1, 0x60, 0x61, 0x8,  0xa3, 0x10, 0x4a, 0xe1},
        {0x35, 0x70, 0xef, 0x38, 0xe4, 0xe3, 0xe2, 0x52, 0xe2, 0xe3, 0xe4, 0x38, 0xef, 0x70, 0x35, 0xe2},
        {0xa1, 0x50, 0x6a, 0x28, 0x26, 0x23, 0xe3, 0xa9, 0xe3, 0x23, 0x26, 0x28, 0x6a, 0x50, 0xa1, 0xe3},
        {0xcb, 0xb0, 0x77, 0x58, 0x2d, 0x26, 0xe4, 0xd,  0xe4, 0x26, 0x2d, 0x58, 0x77, 0xb0, 0xcb, 0xe4},
        {0x5f, 0x90, 0xf2, 0x48, 0xef, 0xe6, 0xe5, 0xf6, 0xe5, 0xe6, 0xef, 0x48, 0xf2, 0x90, 0x5f, 0xe5},
        {0x20, 0xf0, 0xbe, 0x78, 0x6a, 0x65, 0xe6, 0x38, 0xe6, 0x65, 0x6a, 0x78, 0xbe, 0xf0, 0x20, 0xe6},
        {0xb4, 0xd0, 0x3b, 0x68, 0xa8, 0xa5, 0xe7, 0xc3, 0xe7, 0xa5, 0xa8, 0x68, 0x3b, 0xd0, 0xb4, 0xe7},
        {0xf4, 0xf3, 0x84, 0x98, 0x7c, 0x6f, 0xe8, 0xb3, 0xe8, 0x6f, 0x7c, 0x98, 0x84, 0xf3, 0xf4, 0xe8},
        {0x60, 0xd3, 0x1,  0x88, 0xbe, 0xaf, 0xe9, 0x48, 0xe9, 0xaf, 0xbe, 0x88, 0x1,  0xd3, 0x60, 0xe9},
        {0x1f, 0xb3, 0x4d, 0xb8, 0x3b, 0x2c, 0xea, 0x86, 0xea, 0x2c, 0x3b, 0xb8, 0x4d, 0xb3, 0x1f, 0xea},
        {0x8b, 0x93, 0xc8, 0xa8, 0xf9, 0xec, 0xeb, 0x7d, 0xeb, 0xec, 0xf9, 0xa8, 0xc8, 0x93, 0x8b, 0xeb},
        {0xe1, 0x73, 0xd5, 0xd8, 0xf2, 0xe9, 0xec, 0xd9, 0xec, 0xe9, 0xf2, 0xd8, 0xd5, 0x73, 0xe1, 0xec},
        {0x75, 0x53, 0x50, 0xc8, 0x30, 0x29, 0xed, 0x22, 0xed, 0x29, 0x30, 0xc8, 0x50, 0x53, 0x75, 0xed},
        {0xa,  0x33, 0x1c, 0xf8, 0xb5, 0xaa, 0xee, 0xec, 0xee, 0xaa, 0xb5, 0xf8, 0x1c, 0x33, 0xa,  0xee},
        {0x9e, 0x13, 0x99, 0xe8, 0x77, 0x6a, 0xef, 0x17, 0xef, 0x6a, 0x77, 0xe8, 0x99, 0x13, 0x9e, 0xef},
        {0x8a, 0x75, 0xa1, 0xdb, 0xde, 0xfd, 0xf0, 0xc,  0xf0, 0xfd, 0xde, 0xdb, 0xa1, 0x75, 0x8a, 0xf0},
        {0x1e, 0x55, 0x24, 0xcb, 0x1c, 0x3d, 0xf1, 0xf7, 0xf1, 0x3d, 0x1c, 0xcb, 0x24, 0x55, 0x1e, 0xf1},
        {0x61, 0x35, 0x68, 0xfb, 0x99, 0xbe, 0xf2, 0x39, 0xf2, 0xbe, 0x99, 0xfb, 0x68, 0x35, 0x61, 0xf2},
        {0xf5, 0x15, 0xed, 0xeb, 0x5b, 0x7e, 0xf3, 0xc2, 0xf3, 0x7e, 0x5b, 0xeb, 0xed, 0x15, 0xf5, 0xf3},
        {0x9f, 0xf5, 0xf0, 0x9b, 0x50, 0x7b, 0xf4, 0x66, 0xf4, 0x7b, 0x50, 0x9b, 0xf0, 0xf5, 0x9f, 0xf4},
        {0xb,  0xd5, 0x75, 0x8b, 0x92, 0xbb, 0xf5, 0x9d, 0xf5, 0xbb, 0x92, 0x8b, 0x75, 0xd5, 0xb,  0xf5},
        {0x74, 0xb5, 0x39, 0xbb, 0x17, 0x38, 0xf6, 0x53, 0xf6, 0x38, 0x17, 0xbb, 0x39, 0xb5, 0x74, 0xf6},
        {0xe0, 0x95, 0xbc, 0xab, 0xd5, 0xf8, 0xf7, 0xa8, 0xf7, 0xf8, 0xd5, 0xab, 0xbc, 0x95, 0xe0, 0xf7},
        {0xa0, 0xb6, 0x3,  0x5b, 0x1,  0x32, 0xf8, 0xd8, 0xf8, 0x32, 0x1,  0x5b, 0x3,  0xb6, 0xa0, 0xf8},
        {0x34, 0x96, 0x86, 0x4b, 0xc3, 0xf2, 0xf9, 0x23, 0xf9, 0xf2, 0xc3, 0x4b, 0x86, 0x96, 0x34, 0xf9},
        {0x4b, 0xf6, 0xca, 0x7b, 0x46, 0x71, 0xfa, 0xed, 0xfa, 0x71, 0x46, 0x7b, 0xca, 0xf6, 0x4b, 0xfa},
        {0xdf, 0xd6, 0x4f, 0x6b, 0x84, 0xb1, 0xfb, 0x16, 0xfb, 0xb1, 0x84, 0x6b, 0x4f, 0xd6, 0xdf, 0xfb},
        {0xb5, 0x36, 0x52, 0x1b, 0x8f, 0xb4, 0xfc, 0xb2, 0xfc, 0xb4, 0x8f, 0x1b, 0x52, 0x36, 0xb5, 0xfc},
        {0x21, 0x16, 0xd7, 0xb,  0x4d, 0x74, 0xfd, 0x49, 0xfd, 0x74, 0x4d, 0xb,  0xd7, 0x16, 0x21, 0xfd},
        {0x5e, 0x76, 0x9b, 0x3b, 0xc8, 0xf7, 0xfe, 0x87, 0xfe, 0xf7, 0xc8, 0x3b, 0x9b, 0x76, 0x5e, 0xfe},
        {0xca, 0x56, 0x1e, 0x2b, 0xa,  0x37, 0xff, 0x7c, 0xff, 0x37, 0xa,  0x2b, 0x1e, 0x56, 0xca, 0xff}
};

//    FILE* file = fopen("l_constants.h", "w+");
//    for (int i = 0; i < 256; ++i) {
//        fprintf(file, "{ ");
//        for (int j = 0; j < 16; ++j) {
//            fprintf(file, "0x%x, ",mul(i, R_coefficient_array[j]));
//        }
//        fprintf(file, " },\n");
//    }
//    fclose(file);